Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452152

Summary: Misleading localization of 'Destroy'
Product: [Community] Virtualization Tools Reporter: Andreas Färber <andreas.faerber>
Component: virt-managerAssignee: Daniel Berrange <berrange>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: crobinso
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-03 17:54:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andreas Färber 2008-06-19 17:16:13 UTC
Description of problem:
Selecting the "Shutdown" toolbar item or context menu item in Virtual Manager
does not shut down some QEMU guests. The guest continues to run and can be
paused and resumed as if no shutdown attempt had been made.

Version-Release number of selected component (if applicable):
0.5.4 (Fedora 9)

How reproducible:
Fully

Steps to Reproduce:
In Virtual Manager, create a new fully virtualized guest using ppc arch and qemu
hypervisor and a Fedora 9 ppc network install location.
  
Actual results:
Kernel is downloaded, VNC console is opened showing OHW errors on boot.
Selecting Shutdown in virt-manager is a no-op.

Expected results:
Immediate termination of the guest on selecting Shutdown. Alternatively, a
confirmation dialog whether I really want to and, if yes, terminate it
immediately afterwards.

Additional info:
The OpenHackWare errors are expected, they are also present in QEMU SVN.

Another way to reproduce was to use a nightly Haiku OS image
(www.haiku-files.org); Haiku is known not to shut down the system itself. Same
for Sharp OS 0.0.1 (www.sharpos.org).

As a workaround, the qemu-kvm process can be killed as root. Then, the guest is
displayed as shut down in virt-manager, as expected.

Comment 1 Andreas Färber 2008-08-31 22:03:26 UTC
It seems the expected functionality is actually present, just mislabelled:

In German, the menu item beneath 'Speichern' (Save) reads 'Löschen' (delete). It does not delete the VM though but "destroys" it, forcing shutdown.

Comment 2 Cole Robinson 2008-09-03 17:54:28 UTC
I can't guarantee the new translation will be accurate, but current upstream actually does not use the term 'Destroy' anymore, it uses 'Force Poweroff'. Even in english the term 'Destroy' understandably caused confusion. I'll close this as UPSTREAM, but please reopen if I have misunderstood.